# logstash – Sends events to Logstash

- Synopsis

- Requirements

- Parameters

- Status

## Synopsis

- This callback will report facts and task events to Logstash https://www.elastic.co/products/logstash

## Requirements

The below requirements are needed on the local master node that executes this callback.

- whitelisting in configuration

- logstash (python library)

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
port - | Default: 5000 | env:LOGSTASH_PORT | Port on which logstash is listening
server - | Default: "localhost" | env:LOGSTASH_SERVER | Address of the Logstash server
type - | Default: "ansible" | env:LOGSTASH_TYPE | Message type

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]

- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.